Storyden
Admin

Admin O Auth Registration Approval Submit

Approve or deny a pending autonomous registration. Approval authorizes creation of a bot on the next client poll and does not grant the administrator's permissions.

POST/admin/oauth/registration-approvals/verification

Approve or deny a pending autonomous registration. Approval authorizes creation of a bot on the next client poll and does not grant the administrator's permissions.

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/admin/oauth/registration-approvals/verification" \  -H "Content-Type: application/json" \  -d '{    "verification_code": "string",    "approved": true  }'
Empty
{
  "error": "string",
  "error_description": "string"
}
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}